Bug 212916 - (DataObj-FormBuilder) Review Request: php-pear-DB-DataObject-FormBuilder - Automatically build HTML_QuickForm objects
Review Request: php-pear-DB-DataObject-FormBuilder - Automatically build HTML...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-HTML-QuickForm pear-HTML-Table DB-DataObject
Blocks: FE-ACCEPT DG-DataSource-DO
  Show dependency treegraph
 
Reported: 2006-10-29 22:35 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 09:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 22:35:50 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject-FormBuilder.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject-FormBuilder-1.0.0-0.1.RC5.src.rpm

Description:
DB_DataObject_FormBuilder will aid you in rapid application development using
the packages DB_DataObject and HTML_QuickForm. For having a quick but working
prototype of your application, simply model the database, run DataObject's
createTable script over it and write a script that passes one of the resulting
objects to the FormBuilder class. The FormBuilder will automatically generate
a simple but working HTML_QuickForm object that you can use to test your
application. It also provides a processing method that will automatically
detect if an insert() or update() command has to be executed after the form
has been submitted. If you have set up DataObject's links.ini file correctly,
it will also automatically detect if a table field is a foreign key and will
populate a selectbox with the linked table's entries. There are many optional
parameters that you can place in your DataObjects.ini or in the properties of
your derived classes, that you can use to fine-tune the form-generation,
gradually turning the prototypes into fully-featured forms, and you can take
control at any stage of the process.
Comment 1 Jason Tibbitts 2006-11-18 22:16:16 EST
The usual no-documentation warning:
  W: php-pear-DB-DataObject-FormBuilder no-documentation
I was browsing the PEAR site and I noticed that there is actually documentation
online for this package.  I wonder if it wouldn't be reasonable to include a
text file with at least some URLs in it:
 http://pear.reversefold.com/dokuwiki/doku.php?id=pear:db_dataobject_formbuilder
 http://opensource.21st.de/static/formbuilder/rapidprototyping-kr.pdf

* source files match upstream:
   0430207937449d635449389ae345854c  DB_DataObject_FormBuilder-1.0.0RC5.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is OK.
* final provides and requires are sane:
   php-pear(DB_DataObject_FormBuilder) = 1.0.0
   php-pear-DB-DataObject-FormBuilder = 1.0.0-0.1.RC5.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(DB_DataObject)
   php-pear(Date)
   php-pear(HTML_QuickForm)
   php-pear(HTML_Table)
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* no documentation, so no -docs subpackage is necessary.

APPROVED
Comment 2 Christopher Stone 2006-11-21 09:53:28 EST
Built for devel, thanks for the review.  Will ask upstream on status of
documentation (should be there since we are approaching 1.0.0 release).
Comment 3 Christopher Stone 2007-04-25 00:58:55 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-DB-DataObject-FormBuilder
Short Description: Automatically build HTML_QuickForm objects
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.